import 'package:flutter/material.dart';
import 'package:demo001/tools/color_utils.dart';

class Style {
  static final greenBold =
      TextStyle(color: green, fontSize: 18, fontWeight: FontWeight.bold);
  static final navTitle =
      TextStyle(color: white, fontSize: 18, fontWeight: FontWeight.bold);
  static final normalWhiteGrey =
      TextStyle(color: whiteGrey, fontSize: 14, fontWeight: FontWeight.bold);
  static final normalBold =
      TextStyle(color: white, fontSize: 16, fontWeight: FontWeight.bold);
  static final normal = TextStyle(color: white, fontSize: 16);
  static final normalGrey =
      TextStyle(color: const Color.fromARGB(255, 92, 92, 92), fontSize: 16);
  static final normalSmall = TextStyle(color: white, fontSize: 14);
  static final normalGreySmall =
      TextStyle(color: const Color.fromARGB(255, 92, 92, 92), fontSize: 14);
  static final normalSmall2 = TextStyle(color: white, fontSize: 12);
  static final normalGreySmall2 =
      TextStyle(color: const Color.fromARGB(255, 92, 92, 92), fontSize: 12);
  static final normalBlueSmall2 = TextStyle(color: blue, fontSize: 12);
  static final normalSmallWhiteGrey = TextStyle(color: whiteGrey, fontSize: 14);
  static final normalSmallBoldWhiteGrey =
      TextStyle(color: whiteGrey, fontSize: 14, fontWeight: FontWeight.bold);
  static final clean = TextStyle(
      color: Colors.transparent, fontSize: 14, fontWeight: FontWeight.bold);

  static final homeItemTextStyle =
      TextStyle(fontSize: 14, color: white, fontWeight: FontWeight.bold);
  static final hintStyle = TextStyle(fontSize: 14, color: grey);
}
