import 'package:json_annotation/json_annotation.dart';

import 'data.dart';

part 'phonetic_dictaion_model.g.dart';

@JsonSerializable()
class PhoneticDictaionModel {
  int? code;
  String? message;
  String? sid;
  Data? data;

  PhoneticDictaionModel({this.code, this.message, this.sid, this.data});

  factory PhoneticDictaionModel.fromJson(Map<String, dynamic> json) {
    return _$PhoneticDictaionModelFromJson(json);
  }

  Map<String, dynamic> toJson() => _$PhoneticDictaionModelToJson(this);
}
