import 'package:json_annotation/json_annotation.dart';

part 'header.g.dart';

@JsonSerializable()
class Header {
  int? code;
  String? message;
  String? sid;
  int? status;

  Header({this.code, this.message, this.sid, this.status});

  factory Header.fromJson(Map<String, dynamic> json) {
    return _$HeaderFromJson(json);
  }

  Map<String, dynamic> toJson() => _$HeaderToJson(this);
}
