import 'package:json_annotation/json_annotation.dart';

import 'package:demo001/xunfei/phonetic_dictation/phonetic_dictaion_model/w.dart';
part 'recognition_content.g.dart';

@JsonSerializable()
class RecognitionContent {
  int? bg;
  int? ed;
  bool? ls;
  String? pgs;
  List<int>? rg;
  int? sn;
  @JsonKey(name: 'sub_end')
  bool? subEnd;
  List<W>? ws;

  RecognitionContent({
    this.bg,
    this.ed,
    this.ls,
    this.pgs,
    this.rg,
    this.sn,
    this.subEnd,
    this.ws,
  });

  factory RecognitionContent.fromJson(Map<String, dynamic> json) {
    return _$RecognitionContentFromJson(json);
  }

  Map<String, dynamic> toJson() => _$RecognitionContentToJson(this);
}
