import 'package:json_annotation/json_annotation.dart';

part 'trans_content.g.dart';

@JsonSerializable()
class TransContent {
  String? src;
  String? dst;
  int? wb;
  int? we;
  @JsonKey(name: 'is_final')
  int? isFinal;

  TransContent({this.src, this.dst, this.wb, this.we, this.isFinal});

  factory TransContent.fromJson(Map<String, dynamic> json) {
    return _$TransContentFromJson(json);
  }

  Map<String, dynamic> toJson() => _$TransContentToJson(this);
}
