import 'package:json_annotation/json_annotation.dart';

import 'header.dart';
import 'payload.dart';

part 'tts_result.g.dart';

@JsonSerializable()
class TtsResult {
  Header? header;
  Payload? payload;

  TtsResult({this.header, this.payload});

  factory TtsResult.fromJson(Map<String, dynamic> json) {
    return _$TtsResultFromJson(json);
  }

  Map<String, dynamic> toJson() => _$TtsResultToJson(this);
}
