import 'package:flutter/material.dart';

Widget circleCheckBox() {
  return Container(
    child: Icon(Icons.check),
  );
}

Size textSize(String text, TextStyle style) {
  final TextPainter textPainter = TextPainter(
    text: TextSpan(text: text, style: style),
    textDirection: TextDirection.ltr,
  )..layout(); // 布局文本
  return textPainter.size; // 返回文本的尺寸
}

bool isEmail(String email) {
  final emailRegex =
      RegExp(r'^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$');
  return emailRegex.hasMatch(email);
}
