import 'package:json_annotation/json_annotation.dart';

import 'result.dart';

part 'data.g.dart';

@JsonSerializable()
class Data {
  Result? result;
  int? status;

  Data({this.result, this.status});

  factory Data.fromJson(Map<String, dynamic> json) => _$DataFromJson(json);

  Map<String, dynamic> toJson() => _$DataToJson(this);
}
