import 'package:json_annotation/json_annotation.dart';

import 'w.dart';

part 'result.g.dart';

@JsonSerializable()
class Result {
  int? sn;
  bool? ls;
  int? bg;
  int? ed;
  String? pgs;
  List<int>? rg;
  List<W>? ws;

  Result({this.sn, this.ls, this.bg, this.ed, this.pgs, this.rg, this.ws});

  factory Result.fromJson(Map<String, dynamic> json) {
    return _$ResultFromJson(json);
  }

  Map<String, dynamic> toJson() => _$ResultToJson(this);
}
