import 'package:json_annotation/json_annotation.dart';

import 'header.dart';
import 'payload.dart';

part 'recognition_result.g.dart';

@JsonSerializable()
class RecognitionResult {
  Header? header;
  Payload? payload;

  RecognitionResult({this.header, this.payload});

  factory RecognitionResult.fromJson(Map<String, dynamic> json) {
    return _$RecognitionResultFromJson(json);
  }

  Map<String, dynamic> toJson() => _$RecognitionResultToJson(this);
}
