import 'package:json_annotation/json_annotation.dart';

part 'recognition_results.g.dart';

@JsonSerializable()
class RecognitionResults {
  String? encoding;
  String? format;
  int? status;
  String? text;

  RecognitionResults({this.encoding, this.format, this.status, this.text});

  factory RecognitionResults.fromJson(Map<String, dynamic> json) {
    return _$RecognitionResultsFromJson(json);
  }

  Map<String, dynamic> toJson() => _$RecognitionResultsToJson(this);
}
