import 'package:json_annotation/json_annotation.dart';

import 'header.dart';
import 'payload.dart';

part 'streamtrans_result.g.dart';

@JsonSerializable()
class StreamtransResult {
  Header? header;
  Payload? payload;

  StreamtransResult({this.header, this.payload});

  factory StreamtransResult.fromJson(Map<String, dynamic> json) {
    return _$StreamtransResultFromJson(json);
  }

  Map<String, dynamic> toJson() => _$StreamtransResultToJson(this);
}
