import 'package:json_annotation/json_annotation.dart';

part 'streamtrans_results.g.dart';

@JsonSerializable()
class StreamtransResults {
  String? compress;
  String? encoding;
  String? format;
  String? seq;
  int? status;
  String? text;

  StreamtransResults({
    this.compress,
    this.encoding,
    this.format,
    this.seq,
    this.status,
    this.text,
  });

  factory StreamtransResults.fromJson(Map<String, dynamic> json) {
    return _$StreamtransResultsFromJson(json);
  }

  Map<String, dynamic> toJson() => _$StreamtransResultsToJson(this);
}
