import 'package:json_annotation/json_annotation.dart';

import 'data.dart';

part 'xftts_datamodel.g.dart';

@JsonSerializable()
class XfttsDatamodel {
  int? code;
  String? message;
  String? sid;
  Data? data;

  XfttsDatamodel({this.code, this.message, this.sid, this.data});

  factory XfttsDatamodel.fromJson(Map<String, dynamic> json) {
    return _$XfttsDatamodelFromJson(json);
  }

  Map<String, dynamic> toJson() => _$XfttsDatamodelToJson(this);
}
